# reaspect

return type | Array ( GeoJSON bounding box )
syntax | $.geo.reaspect( Array bbox ( GeoJSON bounding box ), Number ratio )

usage

    var widescreenBbox = $.geo.reaspect( bbox, 16 / 9 )

The reaspect method creates a new bbox with the same center as the original but forcing the ratio of width to height to a specific value.

If the original width is greater than the original height (think a landscape printout) then the width of the new bbox will be the same as the original but the new height will change to fit the ratio. If the original height is greater than the original width (think a portrait printout) then the new bbox height will remain unchanged but the width will to fit the ratio.

This function is not defined in JTS.